Groovy JDK

## java.lang
Class ClassLoader

Method Summary
`ClassLoader` | `getRootLoader()` Iterates through the classloader parents until it finds a loader with a class named "org.codehaus.groovy.tools.RootLoader".

Method Detail

### getRootLoader

    public ClassLoader getRootLoader()

  Iterates through the classloader parents until it finds a loader with a class named "org.codehaus.groovy.tools.RootLoader". If there is no such class `null` will be returned. The name is used for comparison because a direct comparison using == may fail as the class may be loaded through different classloaders.

Returns:
  the rootLoader for the ClassLoader

Since:
  1.5.0

See:
  RootLoader.

Groovy JDK